"ESS Solo-1 AudioDrive V4.05.00.1082 1M version; Brazilian, Portuguese;
[Version]
LayoutFile=Layout.inf
Signature="$CHICAGO$"
Class=MEDIA
provider=%ESS%

[ClassInstall]
AddReg=Class.AddReg

[Class.AddReg]
HKR,,,,%MediaClassName%
HKR,,Icon,,"-1"
HKR,,Installer,,mmci.dll

[Manufacturer]
%ESSMfgName%=ESS

[SourceDiskFiles]

[ESS]
%SoloA.DeviceDesc%=SoloA_Device,PCI\VEN_125D&DEV_1969
%SoloD.DeviceDesc%=SoloD_Device,Solo\DOS

[PreCopySection]
HKR,,NoSetupUI,,1

[SoloA_Device]
CopyFiles=SoloA.CopyList,SoloD.CopyList,ESSSWT.CopyList
DelReg=SoloA.DelReg,WAVE.DelReg,ESSSWT.DelReg
AddReg=WAVE.AddReg,MIXER.AddReg,SoloA.AddReg,ESSSWT.AddReg,ESSCheck.AddReg,ES938.AddReg,Ext.AddReg,VolumeMap.AddReg

[SoloD_Device]
AddReg=SoloD.AddReg

[ESS.UpdateInis]

[Joystick.UpdateInis]
system.ini,drivers,"joystick="

[SoloA.CopyList]
essolo.vxd,,
essolo.drv,,
esfm.drv,,
essmpu.drv,,
essdm.vxd,,
essswt.vxd,,
essswt.drv,,

[SoloD.CopyList]
essolo.com,,
essolo.sys,,

[Joystick.CopyList]
vjoyd.vxd,,
msjstick.drv,,

[ESSSWT.CopyList]
ESSSWT.DAT

[ESS.DelList]

[ESSCheck.AddReg]
HKLM,%KEY_FIL%\PostInstall,UpdateIniFields,,"UpdateIniFields=fl.UpdateIniFields"
HKLM,%KEY_FIL%\fl.UpdateIniFields,,,"1"
HKLM,%KEY_FIL%\fl.UpdateIniFields,msmixmgr,,"system.ini,boot,drivers,msmixmgr.dll"

[Drivers.fields]
system.ini,boot,drivers,msmixmgr.dll
system.ini,boot,drivers,mmmixer.dll

[SoloA.AddReg]
HKR,,Driver,,essolo.vxd
HKR,Drivers\wave\essolo.drv,Description,,%SoloA.DeviceDesc%
HKR,Drivers\wave\essolo.drv,Driver,,essolo.drv
HKR,Drivers\midi\esfm.drv,Description,,%Solo.Name%" "%V_ESFM%
HKR,Drivers\midi\esfm.drv,Driver,,esfm.drv
HKR,Drivers\midi\essmpu.drv,Description,,%Solo.Name%" "%V_EXTERNAL%"
HKR,Drivers\midi\essmpu.drv,External,1,01,00,00,00
HKR,Drivers\midi\essmpu.drv,Driver,,essmpu.drv
HKR,Drivers\mixer\essolo.drv,Description,,%SoloA.DeviceDesc%
HKR,Drivers\mixer\essolo.drv,Driver,,essolo.drv
HKR,Drivers\aux\essolo.drv,Description,,%SoloA.DeviceDesc%
HKR,Drivers\aux\essolo.drv,Driver,,essolo.drv
HKR,Drivers,SubClasses,,"wave,midi,aux,mixer"
HKR,Config,"Disable Mic Preamp",01,00
HKR,Config,"MonoInPhoneMute",01,ff
HKR,Config,"Reverse Channel Control",01,00
HKR,Config,"DCdrift",01,00,00,00,00
HKR,Config,"AGC",01,00,00,00,00
HKR,Config,"Enable AuxB",01,01
HKR,Config,"Enable PC Speaker",01,01
HKR,Config,"MonitorWave",01,00,00,00,00 ;01,01,00,00,00: Monitor ON
HKR,Config,"Add Game Port",01,01	;01,01=True, 01,00=False

;
;ES1946 to enable IIS change 01,00 to 01,01
;
HKR,Config,"Enable IIS",01,00

[SoloD.AddReg]
HKR,,DeviceDriver,,essolo.vxd
HKR,,DevLoader,,*CONFIGMG
HKR,,Driver,,essolo.vxd

;;;; LX/BX/EX Chip set legacy DMA mode
;;;; DDMA Mode: 01,00
;;;; TDMA Mode: 01,01(WBDMA1)
;;;; PCPCI Mode: 01,02
HKR,Config,"Legacy DMA Mode",01,01
HKR,Config,"DDMA Base",01,00,38

[JOYSTICK.AddReg]
HKR,,DevLoader,,mmdevldr.vxd
HKR,Drivers,MIGRATED,,0
HKR,Drivers\joystick,,,

[MIXER.AddReg]
HKLM,Software\Microsoft\Windows\CurrentVersion\Run,SystemTray,,"SysTray.Exe"
HKLM,%KEY_IOC%\Vol,,,

; Customized Mixer Source Label Name (Localization)
; Volume Control
HKR,Config,Source0Long,,   "Entrada de Linha"      ; Line-in long name
HKR,Config,Source0Short,,  "Linha"         ; Line-in short name
HKR,Config,Source1Long,,   "Wave"         ; Wave long name
HKR,Config,Source1Short,,  "Wave"         ; Wave short name
HKR,Config,Source2Long,,   "Microfone"    ; Mic long name
HKR,Config,Source2Short,,  "Mic."         ; Mic short Name
HKR,Config,Source3Long,,   "Áudio CD"     ; CD Audio long name
HKR,Config,Source3Short,,  "CD"           ; CD audio short name
HKR,Config,Source4Long,,   "Sintetizador" ; Synthsizer long name
HKR,Config,Source4Short,,  "Sint."        ; Synthesizer short name
HKR,Config,Source6Long,,   "AuxB"         ; AuxB long name
HKR,Config,Source6Short,,  "AuxB"         ; AuxB short name
HKR,Config,Source5Long,,   "Altifalante de PC"   ; PC Speaker long name
HKR,Config,Source5Short,,  "Altif PC"        ; PC Speaker short name
HKR,Config,Source7Long,,   "IIS"          ; IIS long name
HKR,Config,Source7Short,,  "IIS"          ; IIS short name
HKR,Config,Source8Long,,   "Mic"          ; Mic long name
HKR,Config,Source8Short,,  "Mic"          ; Mic short name
HKR,Config,Source9Long,,   "Telefone"        ; Phone long name
HKR,Config,Source9Short,,  "Telefone"        ; Phone short name
HKR,Config,Source10Long,,  "Chorus"       ; Chorus long name
HKR,Config,Source10Short,, "Chorus"       ; Chorus short name
HKR,Config,Source11Long,,  "Reverberação"       ; Reverb long name
HKR,Config,Source11Short,, "Reverberação"       ; Reverb short name

HKR,Config,Dest0Long,,  "Controle de volume" ; Playback Volume long name
HKR,Config,Dest0Short,, "Vol."               ; Playback Volume short name
HKR,Config,Dest1Long,,  "Controle de gravação"  ; Recording Volume long name
HKR,Config,Dest1Short,, "Grav."              ; Recording Volume short name
HKR,Config,Dest2Long,,  "Comandos de voz"    ; Voice Command long name
HKR,Config,Dest2Short,, "Voz"                ; Voice Command short name
HKR,Config,Dest3Long,,  "Telefone"              ; Mono-in phone long name
HKR,Config,Dest3Short,, "Telefone"              ; Mono-in phone short name
HKR,Config,Dest4Long,,  "Efeitos musicais"   ; Music effects long name
HKR,Config,Dest4Short,, "Efeitos"            ; Music effects short name

HKR,Config,Ctrl0Long,,   "Origens de saída geral"
HKR,Config,Ctrl0Short,,  "Origens de saída"
HKR,Config,Ctrl1Long,,   "Origens entrada da gravação"
HKR,Config,Ctrl1Short,,  "Origens da gravação"
HKR,Config,Ctrl2Long,,   "Origens de entrada de voz"
HKR,Config,Ctrl2Short,,  "Origens de voz"
HKR,Config,Ctrl3Long,,   "Nível de vol. entrada linha"
HKR,Config,Ctrl3Short,,  "Vol. da linha"
HKR,Config,Ctrl4Long,,   "Nível de vol. saída wave"
HKR,Config,Ctrl4Short,,  "Volume wave"
HKR,Config,Ctrl5Long,,   "Nível de vol. microfone"
HKR,Config,Ctrl5Short,,  "Volume do mic."
HKR,Config,Ctrl6Long,,   "Nível de vol. áudio CD"
HKR,Config,Ctrl6Short,,  "Volume do CD"
HKR,Config,Ctrl7Long,,   "Nível de vol. sintetizador FM"
HKR,Config,Ctrl7Short,,  "Volume do sintet."
HKR,Config,Ctrl9Long,,   "Nível do Volume de AuxB"
HKR,Config,Ctrl9Short,,  "Volume de AuxB"
HKR,Config,Ctrl8Long,,   "Nível de Volume do Altifalante de PC"
HKR,Config,Ctrl8Short,,  "Vol Altifalante PC"
HKR,Config,Ctrl10Long,,   "Nível de vol. IIS"
HKR,Config,Ctrl10Short,,  "Volume IIS"
HKR,Config,Ctrl11Long,,   "Nível de volume geral"
HKR,Config,Ctrl11Short,,  "Volume geral"
HKR,Config,Ctrl12Long,,  "Nível de entrada linha"
HKR,Config,Ctrl12Short,, "Entrada linha"
HKR,Config,Ctrl13Long,,  "Nível de entrada mic."
HKR,Config,Ctrl13Short,, "Entrada mic."
HKR,Config,Ctrl14Long,,  "Nível de entrada áudio CD"
HKR,Config,Ctrl14Short,, "Entrada CD"
HKR,Config,Ctrl15Long,,  "Nível de entrada sintet. FM"
HKR,Config,Ctrl15Short,, "Entrada sintet."
HKR,Config,Ctrl17Long,,  "Nív Sinal Entrada AuxB"
HKR,Config,Ctrl17Short,, "Entrada de AuxB"
HKR,Config,Ctrl16Long,,  "Nível de entrada wave"
HKR,Config,Ctrl16Short,, "Entrada wave"
HKR,Config,Ctrl18Long,,  "Nível de entrada misturador"
HKR,Config,Ctrl18Short,, "Entrada do misturador"
HKR,Config,Ctrl19Long,,  "Nível de entrada linha"
HKR,Config,Ctrl19Short,, "Entrada Linha"
HKR,Config,Ctrl20Long,,  "Nível de entrada mic."
HKR,Config,Ctrl20Short,, "Entrada mic."
HKR,Config,Ctrl21Long,,  "Nível de entrada áudio CD"
HKR,Config,Ctrl21Short,, "Entrada CD"
HKR,Config,Ctrl23Long,,  "Nív Sinal Entrada AuxB"
HKR,Config,Ctrl23Short,, "Entrada de AuxB"
HKR,Config,Ctrl22Long,,  "Nível de entrada wave"
HKR,Config,Ctrl22Short,, "Entrada wave"
HKR,Config,Ctrl24Long,,  "Nível de entrada misturador"
HKR,Config,Ctrl24Short,, "Entrada misturador"
HKR,Config,Ctrl25Long,,  "Entrada linha sem som"
HKR,Config,Ctrl25Short,, "Linha sem som"
HKR,Config,Ctrl26Long,,  "Saída wave sem som"
HKR,Config,Ctrl26Short,, "Wave sem som"
HKR,Config,Ctrl27Long,,  "Microfone sem som"
HKR,Config,Ctrl27Short,, "Mic. sem som"
HKR,Config,Ctrl28Long,,  "Áudio CD sem som"
HKR,Config,Ctrl28Short,, "CD sem som"
HKR,Config,Ctrl29Long,,  "Sintetizador sem som"
HKR,Config,Ctrl29Short,, "Sintet. sem som"
HKR,Config,Ctrl31Long,,  "AuxB Sem Som"
HKR,Config,Ctrl31Short,, "AuxB Sem Som"
HKR,Config,Ctrl30Long,,  "Alto-falante do PC Sem Som"
HKR,Config,Ctrl30Short,, "Alto PC Sem Som"
HKR,Config,Ctrl32Long,,  "IIS sem som"
HKR,Config,Ctrl32Short,, "IIS sem som"
HKR,Config,Ctrl33Long,,  "Geral sem som"
HKR,Config,Ctrl33Short,, "Geral sem som"
HKR,Config,Ctrl34Long,,  "Medidor entrada de grav."
HKR,Config,Ctrl34Short,, "Medidor de gravação"
HKR,Config,Ctrl35Long,,  "Medidor de entrada de voz"
HKR,Config,Ctrl35Short,, "Medidor de voz"
HKR,Config,Ctrl36Long,,  "Medidor de saída wave"
HKR,Config,Ctrl36Short,, "Medidor wave"
HKR,Config,Ctrl37Long,,  "Monitor entrada de grav."
HKR,Config,Ctrl37Short,, "Monitor de gravação"
HKR,Config,Ctrl38Long,,  "Monitor de entrada de voz"
HKR,Config,Ctrl38Short,, "Monitor de voz"
HKR,Config,Ctrl39Long,,  "Saída de finalidade geral 0"
HKR,Config,Ctrl39Short,, "SPG0"
HKR,Config,Ctrl40Long,,  "Saída de finalidade geral 1"
HKR,Config,Ctrl40Short,, "SPG1"
HKR,Config,Ctrl41Long,,  "Habilita efeito 3D"
HKR,Config,Ctrl41Short,, "Habilita 3D"
HKR,Config,Ctrl42Long,,  "Efeito 3D"
HKR,Config,Ctrl42Short,, "Efeito 3D"
HKR,Config,Ctrl43Long,,  "Agudos"
HKR,Config,Ctrl43Short,, "Agudos"
HKR,Config,Ctrl44Long,,  "Graves"
HKR,Config,Ctrl44Short,, "Graves"

HKR,Config,Ctrl45Long,,  "Selec Mic"
HKR,Config,Ctrl45Short,, "Selecciona"
HKR,Config,Ctrl46Long,,  "Selec Tel"
HKR,Config,Ctrl46Short,, "Selecciona"

HKR,Config,Ctrl47Long,,  "Volume do Microfone"
HKR,Config,Ctrl47Short,, "Volume do Microfone"
HKR,Config,Ctrl48Long,,  "Volume do Telefone"
HKR,Config,Ctrl48Short,, "Volume do Telefone"

HKR,Config,Ctrl49Long,,  "Desabilita coro"
HKR,Config,Ctrl49Short,, "Coro sem som"
HKR,Config,Ctrl50Long,,  "Desabilita reverb."
HKR,Config,Ctrl50Short,, "Reverb. sem som"

HKR,Config,CaptionString,,   "Wavetable"               ; Caption
HKR,Config,GroupNameString,, "Wavetable do Software ESS"  ; Group name
HKR,Config,EnableString,,    "Habilita"                ; Enable
HKR,Config,DLSLibrary,,      "Biblioteca DLS"          ; Library
HKR,Config,1MString,,        "Conj. GM de 1 Megabyte"  ; 1 M
HKR,Config,3MString,,        "Conj. GM de 3 Megabytes" ; 3 M
HKR,Config,NoticeString,,    "Encerre toda reprodução/gravação de som e música antes de alterar a configuração."

[WAVE.AddReg]
HKR,,DevLoader,,mmdevldr.vxd
HKR,Drivers,MIGRATED,,0
HKR,Config,"Disable Warning",01,FF
HKR,Config,"Multiple FM Support",01,FF
HKLM,%KEY_IOC%\acm,,,
HKLM,%KEY_IOC%\Rec,,,
HKLM,%KEY_IOC%\MPlay,,,

[ESSSWT.AddReg]
; Deleting the semicolon before a "HKR,..." line below "enables" that line.
; Enabling "Enable Software Wavetable" enables the Digital Mixer so that
; software wavetable can be used.
; Digital Mixer does not support Software 3D Effect
HKLM,Software\ESS\ESSSWT,Path,,%10%
HKLM,Software\ESS\ESSSWT,"Enable MMX",01,01
HKLM,Software\ESS\ESSSWT,"Enable Software Wavetable",01,00
HKLM,Software\ESS\ESSSWT,"Memory Pages",01,80,00,00,00
HKLM,Software\ESS\ESSSWT,"File",,"ESSSWT1M.DLS"
HKLM,Software\ESS\ESSSWT,"Library",01,00
HKLM,Software\ESS\ESSSWT,"Library 1 File",,"ESSSWT1M.DLS"
HKLM,Software\ESS\ESSSWT,"Library 1 Memory",01,80,00,00,00
HKR,Drivers\midi\essswt.drv,Description,,%V_ESSSWT%
HKR,Drivers\midi\essswt.drv,Driver,,essswt.drv
;HKR,Config,"Enable Software Wavetable",01,01
;HKR,Config,"Want DirectSound",01,00

[WAVE.DelReg]
HKR,Drivers\midi
HKR,Drivers\wave
HKR,Drivers\mixer
HKR,Drivers\aux

[Joystick.DelReg]
HKR,Drivers\joystick

[ESSSWT.DelReg]
HKLM,Software\ESS\ESSSWT

[SoloA.DelReg]
HKLM,Enum\Solo

;---------------------------------------------------------------;

[DisksNames]
1=      "",     ,

[SourceDisksNames]
1="Driver Disk",,

[Files]
[SourceDisksFiles]
essolo.drv=     1,      ,
essolo.vxd=     1,      ,
esfm.drv=       1,      ,
essmpu.drv=     1,      ,

[DestinationDirs]
DefaultDestDir = 11
ESSSWT.CopyList = 10
SoloD.CopyList = 30

;---------------------------------------------------------------;

[Strings]
;Non-localized strings
KEY_WARNVER="SYSTEM\CurrentControlSet\Control\SessionManager\WarnVerDLLs"
KEY_CHKVER="SYSTEM\CurrentControlSet\Control\SessionManager\CheckVerDLLs"
KEY_FIL="SYSTEM\CurrentControlSet\Control\MediaResources\FilterList"
KEY_UI="SYSTEM\CurrentControlSet\Control\MediaResources\FilterList\fl.UpdateInis"
KEY_IOC="SYSTEM\CurrentControlSet\Control\MediaResources\InstallOptionalComponents"

;Localized strings
ESS="ESS"
ESSMfgName="ESS Technology, Inc."
SoloA.DeviceDesc="ESS Solo-1 PCI AudioDrive"
SoloJ.DeviceDesc="ESS Solo-1 Gameport Joystick"
SoloD.DeviceDesc="ESS Solo-1 DOS Emulation"
Joystick.DeviceDesc="Joystick p/ porta de jogos"
MediaClassName="Controladores de som, vídeo e jogos"
V_INTERNAL="Síntese FM interna  OPL2/OPL3"
V_EXTERNAL="Porta MIDI Externa"
V_ESFM="Síntese ESFM interna"
V_ESSSWT="Wavetable interna do software ESS"
Solo.Name="ESS Solo-1"

;---------------------------------------------------------------;

[ES938.AddReg]
HKR,Config,"Enable ES938",01,01,00,00,00
HKR,Config,"3D Effect Enable",01,00,00,00,00
HKR,Config,"3D Effect",01,cc,cc,cc,cc

[VolumeMap.AddReg]
HKR,Config,"MainRecordVolumeMap",01, \
 00, 00, 01, 01, 02, 02, 03, 03, 04, 04, 05, 05, 06, 06, 07, 07
HKR,Config,"WaveVolumeInMap",01, \
 00, 00, 01, 01, 02, 02, 03, 03, 04, 04, 05, 05, 06, 06, 07, 07
HKR,Config,"LineInVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"MicVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"CDAudioVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"SynthVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"AuxBVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"IISVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f

HKR,Config,"LineInVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"WaveVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"MicVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"CDAudioVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"SynthVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"AuxBVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"IISVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f

[Ext.AddReg]
;HKR,Config,"HwVolumeMap",01, \
; 00, 02, 04, 06, 08, 0C, 10, 14, \
; 18, 1C, 20, 24, 28, 2C, 2E, 30, \
; 32, 32, 33, 33, 34, 34, 35, 35, \
; 36, 36, 36, 37, 37, 37, 38, 38, \
; 38, 38, 39, 39, 39, 39, 3A, 3A, \
; 3A, 3A, 3B, 3B, 3B, 3B, 3C, 3C, \
; 3C, 3C, 3D, 3D, 3D, 3D, 3E, 3E, \
; 3E, 3E, 3E, 3F, 3F, 3F, 3F, 3F

